% auxiliary material for HDR task. 

% display hdr or hdr_naive
hdrdisp(hdr, 12); 

% reconstruct image 8 and compare it to the original:

figure
im = imread_from_sequence(imsource, 8);
image(im/range); axis equal off; title('original image 8')

figure
im_rec = im_reconstruct(hdr, exposures, range, 8);
image(im_rec/range); axis equal off; title('image 8, reconstructed') 